
#include <opencv2/core/core.hpp>
#include <iostream>
#include <time.h>


#define SIZE 10
using namespace std;
using namespace cv;

/*
 * 
 */
int main( int argc, char** argv )
{
	srand( (unsigned)time( NULL ) );
	vector<Point2f> test;
	test.reserve( SIZE );
	//fill it with random data
	for( size_t i = 0; i < SIZE; ++i)
	{
		test.push_back( Point2f( rand() %10, rand()%10 ));
	}

	cout << "Original Data [x0 y0; x1 y1...]" << endl;
	cout << test << endl;

	cout << "Current (wrong) solution  \n[x0 y0 x1 y2... x(N/2) y(N/2);\nx(N/2 + 1) y(N/2 + 1) .... x(N) y(N)]" << endl;
	cout << Mat(test).reshape(1,2) << endl;

	cout << "Proposed solution \n[x0 x1... x(N);\ny0 y1 ....  y(N)]" << endl;
	cout << Mat(test).reshape( 1, SIZE ).t();

	return 0;
}

